Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.services
Class PerEndpointSOAPInvokerServiceFactory

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.portal.jems.as.system.AbstractJBossService
                  org.jboss.portal.wsrp.services.AbstractJNDIServiceFactory
                      org.jboss.portal.wsrp.services.AbstractSOAPServiceFactory
                          org.jboss.portal.wsrp.services.PerEndpointSOAPInvokerServiceFactory

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, ManageableServiceFactory, ServiceFactory, org.jboss.system.Service, org.jboss.system.ServiceMBean

Direct Known Subclasses:
  RemoteSOAPInvokerServiceFactory

    public class PerEndpointSOAPInvokerServiceFactory

extends AbstractSOAPServiceFactory

Since:
  2.4
Version:
  $Revision: 11484 $
Author:
  Chris Laprun, Julien Viet

Field Summary
`protected java.lang.String` | `markupURL` .
`protected java.lang.String` | `portletManagementURL` .
`protected java.lang.String` | `registrationURL` .
`protected java.lang.String` | `serviceDescriptionURL` .

Fields inherited from class org.jboss.portal.wsrp.services.AbstractJNDIServiceFactory
`available, failed, log, portJNDIMapping`

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`PerEndpointSOAPInvokerServiceFactory()`

Method Summary
`java.lang.String` | `getMarkupURL()`
`java.lang.String` | `getPortletManagementURL()`
`java.lang.String` | `getRegistrationURL()`
`java.lang.String` | `getServiceDescriptionURL()`
`protected java.lang.Object` | `getStubFromService(java.lang.Class serviceClass, javax.xml.rpc.Service service)` If retrieve object is of javax.xml.rpc.Service class, we're using the WS stack and we need to get the port.
`boolean` | `isAvailable()` Determines whether or not this ServiceFactory is able to provide services.
`void` | `setMarkupURL(java.lang.String markupURL)`
`void` | `setPortletManagementURL(java.lang.String portletManagementURL)`
`void` | `setRegistrationURL(java.lang.String registrationURL)`
`void` | `setServiceDescriptionURL(java.lang.String serviceDescriptionURL)`

Methods inherited from class org.jboss.portal.wsrp.services.AbstractSOAPServiceFactory
`destroyService, getService`

Methods inherited from class org.jboss.portal.wsrp.services.AbstractJNDIServiceFactory
`createService, getEnv, getPortJNDIMapping, getServiceFor, isFailed, setAvailable, setEnv, setFailed, setPortJNDIMapping`

Methods inherited from class org.jboss.portal.jems.as.system.AbstractJBossService
`create, destroy, getState, getStateString, start, stop`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`getDeploymentInfo, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, startService, stopService`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, nextNotificationSequenceNumber, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Field Detail

### serviceDescriptionURL

    protected java.lang.String serviceDescriptionURL

  .

### markupURL

    protected java.lang.String markupURL

  .

### registrationURL

    protected java.lang.String registrationURL

  .

### portletManagementURL

    protected java.lang.String portletManagementURL

  .

Constructor Detail

### PerEndpointSOAPInvokerServiceFactory

    public PerEndpointSOAPInvokerServiceFactory()

Method Detail

### getServiceDescriptionURL

    public java.lang.String getServiceDescriptionURL()

### setServiceDescriptionURL

    public void setServiceDescriptionURL(java.lang.String serviceDescriptionURL)

### getMarkupURL

    public java.lang.String getMarkupURL()

### setMarkupURL

    public void setMarkupURL(java.lang.String markupURL)

### getRegistrationURL

    public java.lang.String getRegistrationURL()

### setRegistrationURL

    public void setRegistrationURL(java.lang.String registrationURL)

### getPortletManagementURL

    public java.lang.String getPortletManagementURL()

### setPortletManagementURL

    public void setPortletManagementURL(java.lang.String portletManagementURL)

### getStubFromService

    protected java.lang.Object getStubFromService(java.lang.Class serviceClass,
                                                  javax.xml.rpc.Service service)
                                           throws java.lang.Exception

  If retrieve object is of javax.xml.rpc.Service class, we're using the WS stack and we need to get the port.

  Specified by:
    `getStubFromService` in class `AbstractSOAPServiceFactory`
  Parameters:
    `serviceClass` - the requested service class
    `service` - the service implementation obtained from the JNDI lookup
  Returns:
    an implementation based on the provided service
  Throws:
    `java.lang.Exception`

### isAvailable

    public boolean isAvailable()

  Description copied from interface: `ServiceFactory`
  Determines whether or not this ServiceFactory is able to provide services. A non-available ServiceFactory might be in a temporary state of non-availability (e.g. if the remote host is not currently reachable) or permanently (because, e.g. its configuration is invalid). Permanent failure is indicated by `ServiceFactory.isFailed()` status.

  Specified by:
    `isAvailable` in interface `ServiceFactory`
  Overrides:
    `isAvailable` in class `AbstractJNDIServiceFactory`
  Returns:
    `true` if this ServiceFactory is ready to provide services, `false` otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD